package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hz_data_api/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["hongze/hz_data_api/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "EdbIndexDetail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hz_data_api/controllers:IndexController"] = append(beego.GlobalControllerRouter["hongze/hz_data_api/controllers:IndexController"],
        beego.ControllerComments{
            Method: "IndexDataList",
            Router: `/data/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hz_data_api/controllers:IndexController"] = append(beego.GlobalControllerRouter["hongze/hz_data_api/controllers:IndexController"],
        beego.ControllerComments{
            Method: "IndexDataPageList",
            Router: `/data/list_page`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hz_data_api/controllers:IndexController"] = append(beego.GlobalControllerRouter["hongze/hz_data_api/controllers:IndexController"],
        beego.ControllerComments{
            Method: "IndexList",
            Router: `/list`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
