package utils

const (
	Md5Key = "GuRaB6dY1bXOJcMM"
)

// 常量定义
const (
	FormatTime                 = "15:04:05"            //时间格式
	FormatDate                 = "2006-01-02"          //日期格式
	FormatDateUnSpace          = "20060102"            //日期格式
	FormatDateTime             = "2006-01-02 15:04:05" //完整时间格式
	FormatDateTimeUnSpace      = "20060102150405"      //完整时间格式
	FormatShortDateTimeUnSpace = "060102150405"        //省去开头两位年份的时间格式
	PageSize15                 = 15                    //列表页每页数据量
	PageSize5                  = 5
	PageSize10                 = 10
	PageSize20                 = 20
	PageSize30                 = 30
)

const (
	APP_NAME_CN      = "弘则数据API"
	APP_NAME_EN      = "hz_data_api"
	EmailSendToUsers = "317699326@qq.com"
)

// 数据来源渠道
const (
	DATA_SOURCE_THS                         = iota + 1 //同花顺
	DATA_SOURCE_WIND                                   //wind
	DATA_SOURCE_PB                                     //彭博
	DATA_SOURCE_CALCULATE                              //指标运算
	DATA_SOURCE_CALCULATE_LJZZY                        //累计值转月
	DATA_SOURCE_CALCULATE_TBZ                          //同比值
	DATA_SOURCE_CALCULATE_TCZ                          //同差值
	DATA_SOURCE_CALCULATE_NSZYDPJJS                    //N数值移动平均计算
	DATA_SOURCE_MANUAL                                 //手工指标
	DATA_SOURCE_LZ                                     //隆众
	DATA_SOURCE_YS                                     //有色
	DATA_SOURCE_CALCULATE_HBZ                          //环比值->12
	DATA_SOURCE_CALCULATE_HCZ                          //环差值->13
	DATA_SOURCE_CALCULATE_BP                           //变频->14
	DATA_SOURCE_GL                                     //钢联->15
	DATA_SOURCE_ZZ                                     //郑商所->16
	DATA_SOURCE_DL                                     //大商所->17
	DATA_SOURCE_SH                                     //上期所->18
	DATA_SOURCE_CFFEX                                  //中金所->19
	DATA_SOURCE_SHFE                                   //上期能源->20
	DATA_SOURCE_GIE                                    //欧洲天然气->21
	DATA_SOURCE_CALCULATE_TIME_SHIFT                   //时间移位->22
	DATA_SOURCE_CALCULATE_ZJPJ                         //直接拼接->23
	DATA_SOURCE_CALCULATE_LJZTBPJ                      //累计值同比拼接->24
	DATA_SOURCE_LT                                     //路透->25
	DATA_SOURCE_COAL                                   //煤炭网->26
	DATA_SOURCE_PYTHON                                 //python代码->27
	DATA_SOURCE_PB_FINANCE                             //彭博财务数据->28
	DATA_SOURCE_GOOGLE_TRAVEL                          //谷歌出行数据->29
	DATA_SOURCE_PREDICT                                //普通预测指标->30
	DATA_SOURCE_PREDICT_CALCULATE                      //预测指标运算->31
	DATA_SOURCE_PREDICT_CALCULATE_TBZ                  //预测指标 - 同比值->32
	DATA_SOURCE_PREDICT_CALCULATE_TCZ                  //预测指标 - 同差值->33
	DATA_SOURCE_MYSTEEL_CHEMICAL                       //钢联化工->34
	DATA_SOURCE_CALCULATE_CJJX                         //超季节性->35
	DATA_SOURCE_EIA_STEO                               //eia steo报告->36
	DATA_SOURCE_CALCULATE_NHCC                         //计算指标（拟合残差）->37
	DATA_SOURCE_COM_TRADE                              //联合国商品贸易数据->38
	DATA_SOURCE_PREDICT_CALCULATE_NSZYDPJJS            //预测指标 - N数值移动平均计算 -> 39
	DATA_SOURCE_CALCULATE_ADJUST                       //数据调整->40
)
